Enumeration Descriptions
Status
Status
| Status Code | Description | Explanation |
|---|---|---|
| A | Pending Review | Transaction created, waiting for review |
| CA | Compliance Review | Transaction undergoing compliance review |
| B | Pending Check | Transaction waiting for system check |
| U | Review Failed | Transaction failed manual review |
| V | Check Failed | Transaction failed system check |
| R | Pending Payout | Transaction approved, waiting for payout |
| P | Processing Payout | Transaction being processed for payout |
| S | Success | Transaction completed successfully |
| F | Failed | Transaction processing failed |
Full Amount Arrival Flag
chargeFlag
| Status Code | Description | Explanation |
|---|---|---|
| Y | Full Amount Arrival | Payee receives amount equal to target amount |
| N | Non-Full Amount Arrival | Payee may receive less than target amount |
Swift Fee Bearing Method
feeBearing
| Status Code | Description | Explanation |
|---|---|---|
| SHA | Costs shared | SWIFT fees are shared between the sender and recipient. |
| OUR | Costs borne by payer | The sender bears all SWIFT-related fees, and the recipient receives the full amount. |
Transaction Purpose
transactionPurpose
| Code | Description | Explanation |
|---|---|---|
| 0 | Transfer to Own Account | Fund transfer to own other account |
| 2 | Loan or Credit Repayment | Used for loan or credit bill repayment |
| 4 | Shipping Fee | Payment for transportation-related fees |
| 5 | Professional Services/Business Services | Payment for professional or business service fees |
Payment Method
payoutMethod
| Code | Description | Explanation |
|---|---|---|
| SWIFT | SWIFT Submit payment | International transfer via SWIFT network |
| BANK_TRANSFER | Bank Submit payment | Transfer via local banking network |
| E_WALLET | Wallet Submit payment | Transfer to e-wallet account |
| CASH_PICKUP | Cash Pickup | Payee can collect cash at designated location |
Wallet Type
For e-wallet payouts, select walletType according to the recipient's wallet and account type, and put the wallet account identifier in walletPhone. If a wallet has multiple account types, choose the enum value that matches the supplied account.
- Use the camelCase request field name
walletType. - For payee creation/update and payments with payee details, include wallet information in the
accountInfomationJSON string. For the payee required fields query,walletTypeis a request body parameter. walletPhonemay contain a mobile number, email address, ID number or wallet account identifier, according to the table.walletFormatdescribes the format; it is not an additional request field.
walletType
| E-Wallet | walletType enum value | wallet format |
|---|---|---|
| DANA | DANA | MOBILE |
| GOPAY | GOPAY | MOBILE |
| GRABPAY | GRABPAY | MOBILE |
| LINKAJA | LINKAJA | MOBILE |
| OVO | OVO | MOBILE |
| PAYTREN | PAYTREN | WALLET ID |
| COINS | COINS | MOBILE |
| GCASH | GCASH | MOBILE |
| PAYMAYA | PAYMAYA | MOBILE |
| ALIPAY | ALIPAY | MOBILE |
| WECHAT PAY | WECHAT PAY | MOBILE |
| DCPAY | DCPAY | MOBILE |
| UPI | VPA | VPA |
| PayNow | MOBILE | MOBILE |
| PayNow | UEN | UEN |
| PayNow | NRIC | NRIC |
| PayNow | VPA | VPA |
| DuitNow | NRIC | NRIC |
| DuitNow | PASSPORT | PASSPORT |
| DuitNow | CORPORATE_REGISTRATION_NUMBER | CORPORATE_REGISTRATION_NUMBER |
| DuitNow | MOBILE | MOBILE |
| DuitNow | ARMY_ID | ARMY_ID |
| PIX | MOBILE | MOBILE |
| PIX | ||
| PIX | ID | WALLET ID |
| PIX | RANDOM_KEY | RANDOM_KEY |
| VENMO | VENMO | MOBILE |
| PAYPAL | PAYPAL | |
| PayID | ABN | ABN |
| PayID | ||
| PayID | PHONE NUMBER | MOBILE |
| PayID | CORPORATE ID | CORPORATE ID |
| FPS | MOBILE | MOBILE |
| FPS | ||
| FPS | FPS ID | WALLET ID |
| KE | Airtel | Airtel |
| KE | Equitel | Equitel |
| KE | Mpesa | Mpesa |
| ShopeePay | ShopeePay | MOBILE |
| Momo | Momo | MOBILE |
| VNPT | VNPT | MOBILE |
| ZaloPay | ZaloPay | MOBILE |
| VNPay | VNPay | MOBILE |
| TnG | TnG | Duitnow ID |
| BKASH | BKASH | MOBILE |
| ROCKEY | ROCKEY | WALLET ID |
| NAGAD | NAGAD | MOBILE |
| PAPARA | PAPARA_NUMBER | NUMBER |
| PAPARA | PAPARA_EMAIL | |
| PAPARA | PAPARA_PHONE | MOBILE |
| PAPARA | PAPARA_TURKISH | TURKISH |
| ALFA | ALFA | WALLET ID |
| KONNECT | KONNECT | WALLET ID |
| EASYPAISA | EASYPAISA | WALLET ID |
| FINCA | FINCA | WALLET ID |
| APNA | APNA | WALLET ID |
| UBANK | UBANK | WALLET ID |
| JAZZCASH | JAZZCASH | WALLET ID |
| ADVANS | ADVANS | WALLET ID |
| KHUSHALI | KHUSHALI | WALLET ID |
| NAYAPAY | NAYAPAY | WALLET ID |
| PAYMAX | PAYMAX | WALLET ID |
| SADAPAY | SADAPAY | WALLET ID |
| BYKEA | BYKEA | WALLET ID |
| FINJA | FINJA | WALLET ID |
| TMFB | TMFB | WALLET ID |
| BANKALFA | BANKALFA | MOBILE |
| UPAISA | UPAISA | MOBILE |
| BigPay | BigPay | Duitnow ID |
Wallet account example
This is an account information fragment. Supply all other required fields as specified by the relevant endpoint.
json
{
"paymentMethod": "E_WALLET",
"accountInfomation": "{\"walletType\":\"PAYPAL\",\"walletPhone\":\"payee@example.com\"}"
}Entity Type
entityType
| Code | Description | Explanation |
|---|---|---|
| 0 | Company | Corporate legal entity account |
| 1 | Individual | Natural person account |
Currency
currency
| Code | Description | Explanation |
|---|---|---|
| USD | US Dollar | Legal currency of United States of America |
| EUR | Euro | Legal currency of European Union member countries |
| GBP | British Pound | Legal currency of United Kingdom |
| JPY | Japanese Yen | Legal currency of Japan |
| PHP | Philippine Peso | Legal currency of Philippines |
| IDR | Indonesian Rupiah | Legal currency of Indonesia |
| THB | Thai Baht | Legal currency of Thailand |
| MYR | Malaysian Ringgit | Legal currency of Malaysia |
Payee Information
receiverInfo
| Parameter | Type | Description |
|---|---|---|
| companyName | string(64) | Company Name |
| lastName | string(64) | Last Name |
| firstName | string(64) | First Name |
| areaCode | string(32) | Area Code |
| phone | string(16) | Mobile Number |
| vatNumber | string(64) | VAT Number CPF/CNPJ |
| birthDate | string | Date of Birth (yyyy-MM-dd) |
| string(32) | Payee email, conditional field | |
| identityType | string(32) | ID Type (e.g., SSN), conditional field |
Address
address Field Description
| Parameter | Type | Description |
|---|---|---|
| state | string(20) | State/Province |
| city | string(64) | City |
| addressLine1 | string(256) | Address Line 1 |
| addressLine2 | string(256) | Address Line 2 |
| addressLine3 | string(256) | Address Line 3 |
| postalCode | string(32) | Postal Code |
Account information
accountInfomation Field Description
| Parameter | Type | Description |
|---|---|---|
| cardNumber | string(20) | Card Number/IBAN |
| accountType | string(64) | Account Type [0:checking, 1:saving, 2:ordinary] |
| swiftCode | string(256) | swift code |
| bankName | string(250) | Bank name (optional). When provided, this field will override the default value |
| sortCode | string(256) | Sort Code/ABA |
| branchCode | string(256) | Branch Number |
| bankHolderName | string(32) | Bank account name |
| walletType | string | Wallet type enum; supply for e-wallet payouts |
| walletPhone | string(64) | Wallet account identifier: mobile number, email, ID number or wallet platform account, according to the account format |
| pickUpBankName | string(256) | Pickup Institution |
| pickUpBankBranchName | string(256) | Branch Institution |
| pickUpBankBranchId | string(256) | Branch Institution ID |
| pickUpBankBranchAddress | string(32) | Branch Institution Address |
Response Code
respCode
| Code | Description | Explanation |
|---|---|---|
| 0000 | Success | Request processed successfully |
| 1001 | Parameter Error | Request parameters do not meet requirements |
| 1002 | Signature Error | Request signature verification failed |
| 1003 | Insufficient Balance | Account balance insufficient to complete transaction |
| 1004 | Limit Exceeded | Transaction limit exceeded |
| 2001 | System Error | System internal processing exception |
| 2002 | Network Timeout | Network connection timeout |
| 3001 | Account Frozen | Account frozen and cannot operate |
| 3002 | Duplicate Request | Duplicate submitted request |
Notes
- All enum values are case-sensitive
- Currency codes follow ISO 4217 standard
- Response codes only list common statuses, refer to error code documentation for detailed error codes
Field Description
| Parameter | Type | Description |
|---|---|---|
| payoutId | integer | ID |
| paymentMethod | string | Payment Method |
| payoutType | string | Payout Type |
| settleCurrency | string | Settlement Currency |
| settleSumAmount | number | Settlement Summary Amount |
| serviceFee | number | Service Fee |
| otherFee | number | Other Fees |
| frozenAmount | number | Risk Control Frozen Amount |
| settleAmount | number | Actual Settlement Amount |
| payoutCurrency | string | Payout Currency |
| payoutAmount | number | Payout Amount |
| convRate | number | Conversion FX Rate |
| merchantNo | integer | Merchant Number |
| payeeId | integer | Payee ID |
| payeeName | string | Name of Payee |
| payeeBankName | string | Payee Bank name |
| payeeBankAddress | string | Payee Bank Address |
| payeeAccount | string | Payee Account |
| payeeAccountCountry | string | Payee Account Country |
| payeeAccountName | string | Payee Account Name |
| payeeAccountSwiftCode | string | Payee Account SWIFT CODE |
| payeeAccountLocalCode | string | Payee Account LOCAL CODE |
| payeeCountry | string | Payee Country |
| payeeAddress | string | Payee Address |
| mobileNumber | string | Mobile Number |
| payoutStatus | string | Payout Status |
| payoutTips | string | Customer Tips |
| payoutRemark | string | Exception Tips |
| payoutTime | string | Payout Time |
| distributeStatus | string | Distribution Status |
| distributePs | string | Payment Reference |
| transactionPurpose | string | Transaction Purpose |
| remark | string | Remark |
| createTime | string | Creation time |
| updateTime | string | Update Time |
| payoutMethod | string | Payment Method payoutMethod enum value |
| firstName | string | Payee - First Name |
| lastName | string | Payee - Last Name |
| companyName | string | Company Name |
Status Description
| Parameter | Type | Description |
|---|---|---|
| WAITING | String | Waiting |
| PROCESS | String | Processing |
| REJECT | String | Rejected |
| PASS | String | Passed |
| FAIL | String | Failed |
| UNNECESSARY | String | Not Required |
| PENDING_UPDATE | String | Pending Update |